## syft 0.97.1+ds

=== debian/changelog ===
syft (0.97.1+ds-0parrot1) lory; urgency=medium

  * Import new Kali release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 04 Dec 2023 20:19:05 +0100

syft (0.97.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.97.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Nov 2023 10:51:33 +0100

syft (0.96.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.96.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Nov 2023 11:54:04 +0100

syft (0.95.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.95.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 08 Nov 2023 14:03:09 +0100

syft (0.94.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.94.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Oct 2023 16:12:33 +0200

syft (0.92.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.92.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Sep 2023 15:00:43 +0200

syft (0.91.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.91.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Sep 2023 09:37:48 +0200

syft (0.90.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.90.0+ds
  * Remove patch for go 1.21 (now in upstream release)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Sep 2023 15:49:37 +0200

syft (0.89.0+ds-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:28:15 +0200

syft (0.89.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.89.0+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 01 Sep 2023 16:46:56 +0200

syft (0.88.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.88.0+ds
  * Fix the build with go version 1.21

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Aug 2023 10:20:41 +0200

syft (0.87.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.87.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Aug 2023 12:03:06 +0200

syft (0.86.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.86.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 15:28:27 +0200

syft (0.85.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.85.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jul 2023 16:12:02 +0200

syft (0.84.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.84.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Jun 2023 15:22:57 +0200

syft (0.83.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.83.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Jun 2023 14:06:39 +0200

syft (0.82.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.82.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 31 May 2023 17:49:52 +0200

syft (0.79.0+ds-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 May 2023 11:51:34 +0200
