=== debian/control ===
Source: syft
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-1.21-go | golang-any,
	       ca-certificates
Standards-Version: 4.6.2
Homepage: https://github.com/anchore/syft
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/anchore/syft

Package: syft
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: CLI tool for generating a SBOM from container images and filesystems
 This package contains a CLI tool and Go library for generating a Software Bill
 of Materials (SBOM) from container images and filesystems. Exceptional for
 vulnerability detection when used with a scanner like Grype.
 .
  * Generates SBOMs for container images, filesystems, archives, and more
    to discover packages and libraries
  * Supports OCI, Docker and Singularity image formats
  * Linux distribution identification
  * Works seamlessly with Grype (a fast, modern vulnerability scanner)
  * Able to create signed SBOM attestations using the in-toto
    specification 
  * Convert between SBOM formats, such as CycloneDX, SPDX, and Syft's own
    format.
