## syft 1.27.1+ds

=== debian/changelog ===
syft (1.27.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.27.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Jun 2025 14:35:12 +0200

syft (1.27.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.27.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jun 2025 13:52:29 +0200

syft (1.26.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.26.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 May 2025 14:36:02 +0200

syft (1.25.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.25.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 11:42:50 +0200

syft (1.24.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.24.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 May 2025 16:31:37 +0200

syft (1.23.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.23.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Apr 2025 17:16:34 +0200

syft (1.22.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.22.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Apr 2025 16:59:23 +0200

syft (1.21.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.21.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Mar 2025 11:45:49 +0100

syft (1.20.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.20.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Feb 2025 09:34:39 +0100

syft (1.19.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.19.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 14:14:35 +0100

syft (1.18.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.18.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Dec 2024 11:47:44 +0100

syft (1.18.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.18.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Dec 2024 14:53:46 +0100

syft (1.15.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.15.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Oct 2024 16:26:05 +0100

syft (1.14.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.14.2+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Oct 2024 11:24:03 +0200

syft (1.13.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.13.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Sep 2024 11:53:57 +0200

syft (1.12.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.12.2+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Sep 2024 11:17:15 +0200

syft (1.11.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.11.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Aug 2024 08:32:11 +0200

syft (1.7.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.7.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jun 2024 14:45:29 +0200

syft (1.5.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 30 May 2024 16:43:00 +0200

syft (1.4.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.4.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 May 2024 15:19:37 +0200

syft (1.3.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Apr 2024 14:26:33 +0200

syft (1.0.0+ds-0kali1) kali-dev; urgency=medium

  * Force compression to gzip (uscan)
  * New upstream version 1.0.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Mar 2024 16:28:33 +0100

syft (0.105.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.105.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Feb 2024 10:06:45 +0100

syft (0.103.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.103.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Feb 2024 16:00:36 +0100

syft (0.102.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.102.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jan 2024 16:04:38 +0100

syft (0.100.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.100.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jan 2024 17:02:45 +0100

syft (0.98.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.98.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Dec 2023 15:30:52 +0100
