## syft 1.28.0+ds

=== debian/changelog ===
syft (1.28.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.28.0+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 03 Jul 2025 14:52:37 +0200
