=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: syft
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-1.21-go | golang-any,
+               golang-any,
 	       ca-certificates
 Standards-Version: 4.6.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/syft
+Vcs-Git: https://gitlab.com/kalilinux/packages/syft.git
 Homepage: https://github.com/anchore/syft
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/anchore/syft
