## syft 1.29.1+ds

=== debian/changelog ===
syft (1.29.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.29.1+ds

 -- Sophie Brun <sophie@kali.org>  Wed, 06 Aug 2025 16:56:52 +0200
