## syft 1.31.0+ds

=== debian/changelog ===
syft (1.31.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.31.0+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 15:04:28 +0200

syft (1.30.0+ds-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 1.30.0+ds

 -- Sophie Brun <sophie@kali.org>  Mon, 11 Aug 2025 16:45:51 +0200
