## syft 1.32.0+ds

=== debian/changelog ===
syft (1.32.0+ds-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * New upstream version 1.32.0+ds

 -- Sophie Brun <sophie@kali.org>  Wed, 27 Aug 2025 11:28:04 +0200
