=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 export GOCACHE=$(CURDIR)/vendor
 export GOPATH=$(CURDIR)/vendor
-export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
