## syft 1.34.1%2Bds

=== debian/changelog ===
syft (1.34.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.34.1+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 16 Oct 2025 11:17:35 +0200
