## syft 1.34.2%2Bds

=== debian/changelog ===
syft (1.34.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.34.2+ds

 -- Sophie Brun <sophie@kali.org>  Mon, 20 Oct 2025 15:54:31 +0200
