=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Vcs-Browser: https://gitlab.com/kalilinux/packages/syft
 Vcs-Git: https://gitlab.com/kalilinux/packages/syft.git
 Homepage: https://github.com/anchore/syft
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/anchore/syft
 
 Package: syft
