## syft 1.37.0%2Bds

=== debian/changelog ===
syft (1.37.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.37.0+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 06 Nov 2025 15:30:15 +0100
