## syft 1.38.0%2Bds

=== debian/changelog ===
syft (1.38.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38.0+ds

 -- Sophie Brun <sophie@kali.org>  Tue, 18 Nov 2025 09:40:55 +0100
