=== debian/tests/control ===
Test-Command: syft --help
Restrictions: superficial
