## syft 1.38.0+ds

=== syft/pkg/cataloger/python/test-fixtures/pypi-remote/requirements.txt ===
certifi == 2025.10.5
