=== debian/changelog ===
syft (1.38.0+ds-0parrot1) echo; urgency=medium

  * Import Kali package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 21:48:45 +0100
