=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: syft
 Section: golang
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-	       ca-certificates
+               ca-certificates
 Standards-Version: 4.6.2
-Vcs-Browser: https://gitlab.com/kalilinux/packages/syft
-Vcs-Git: https://gitlab.com/kalilinux/packages/syft.git
 Homepage: https://github.com/anchore/syft
 XS-Go-Import-Path: github.com/anchore/syft
