=== debian/changelog ===
syft (1.38.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38.2+ds

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 14:16:38 +0100
